► |  | The Racket Graphical Interface Toolkit

1 | Windowing
2 | Widget Gallery
3 | Windowing Classes
4 | Windowing Functions
5 | Editors
6 | Snip and Style Classes
7 | Editor Classes
8 | Editor Functions
9 | WXME Decoding
10 | Preferences
11 | Dynamic Loading
12 | Startup Actions
13 | Platform Dependencies
| Index

▼ | 3 | Windowing Classes

3.1 | area<%>
3.2 | area-container<%>
3.3 | area-container-window<%>
3.4 | button%
3.5 | canvas<%>
3.6 | canvas%
3.7 | check-box%
3.8 | checkable-menu-item%
3.9 | choice%
3.10 | clipboard-client%
3.11 | clipboard<%>
3.12 | combo-field%
3.13 | control<%>
3.14 | column-control-event%
3.15 | control-event%
3.16 | cursor%
3.17 | dialog%
3.18 | event%
3.19 | frame%
3.20 | gauge%
3.21 | group-box-panel%
3.22 | grow-box-spacer-pane%
3.23 | horizontal-pane%
3.24 | horizontal-panel%
3.25 | key-event%
3.26 | labelled-menu-item<%>
3.27 | list-box%
3.28 | list-control<%>
3.29 | menu%
3.30 | menu-bar%
3.31 | menu-item<%>
3.32 | menu-item%
3.33 | menu-item-container<%>
3.34 | message%
3.35 | mouse-event%
3.36 | pane%
3.37 | panel%
3.38 | popup-menu%
3.39 | printer-dc%
3.40 | radio-box%
3.41 | selectable-menu-item<%>
3.42 | separator-menu-item%
3.43 | scroll-event%
3.44 | slider%
3.45 | subarea<%>
3.46 | subwindow<%>
3.47 | tab-panel%
3.48 | text-field%
3.49 | timer%
3.50 | top-level-window<%>
3.51 | vertical-pane%
3.52 | vertical-panel%
3.53 | window<%>

On this page:

new
get-event-type
set-event-type

Inherited methods:
from event%
get-time-stamp
set-time-stamp

top ← prev up next →

> class

> control-event% : class?

superclass: event%

A control-event% object contains information about a control event. An instance of control-event% is always provided to a control or menu item callback procedure.

> > constructor

> > ( new control-event% |
> > |  | [event-type event-type] |
> > | [ | [time-stamp time-stamp]]) |

> → ( is-a?/c control-event% )

> event-type

> :

> ( or/c 'button 'check-box 'choice
> 'list-box 'list-box-dclick 'list-box-column
> 'text-field 'text-field-enter
> 'menu 'slider 'radio-box 'tab-panel
> 'menu-popdown 'menu-popdown-none)

> time-stamp : exact-integer? = 0

The event-type argument is one of the following:

- 'button — for button% clicks

- 'check-box — for check-box% toggles

- 'choice — for choice% item selections

- 'list-box — for list-box% selections and deselections

- 'list-box-dclick — for list-box% double-clicks

- 'list-box-column — for list-box% column clicks in a column-control-event% instance

- 'text-field — for text-field% changes

- 'text-field-enter — for single-line text-field% Enter event

- 'menu — for selectable-menu-item<%> callbacks

- 'slider — for slider% changes

- 'radio-box — for radio-box% selection changes

- 'tab-panel — for tab-panel% tab changes

- 'menu-popdown — for popup-menu% callbacks (item selected)

- 'menu-popdown-none — for popup-menu% callbacks (no item selected)

This value is extracted out of a control-event% object with the get-event-type method.

See get-time-stamp for information about time-stamp.

> > method

> > ( send a-control-event get-event-type )

> →

> ( or/c 'button 'check-box 'choice
> 'list-box 'list-box-dclick 'text-field
> 'text-field-enter 'menu 'slider 'radio-box
> 'menu-popdown 'menu-popdown-none 'tab-panel)

Returns the type of the control event. See control-event% for information about each event type symbol.

> > method

> > ( send a-control-event set-event-type type) → void?

> type

> :

> ( or/c 'button 'check-box 'choice
> 'list-box 'list-box-dclick 'text-field
> 'text-field-enter 'menu 'slider 'radio-box
> 'menu-popdown 'menu-popdown-none 'tab-panel)

Sets the type of the event. See control-event% for information about each event type symbol.
top ← prev up next →